Page MenuHomeFreeBSD

Hold a write lock across udp_notify()
ClosedPublic

Authored by rstone on Sep 19 2018, 5:08 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rstone created this revision.Sep 19 2018, 5:08 PM
bz added a subscriber: bz.Sep 19 2018, 5:22 PM

I was wondering for a second about the v6 path; at first glance it seems that udp6_common_ctlinput() via in6_pcbnotify() calls it with a write lock held; wouldn't hurt to double check that please?

bz accepted this revision.Sep 21 2018, 10:58 PM

LGTM

This revision is now accepted and ready to land.Sep 21 2018, 10:58 PM
sbruno accepted this revision.Oct 1 2018, 2:42 AM
sbruno added a subscriber: sbruno.

Ok, whom would like to submit this to re@ to get it into the tree?

vangyzen accepted this revision.Oct 4 2018, 8:33 PM
This revision was automatically updated to reflect the committed changes.